> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/metauserlinkerasync.md).

# MetaUserLinkerAsync

{% hint style="warning" %}
This class was replaced by UserLinkerAsync in v6.0.0.
{% endhint %}

This interface is used with [`setMetaUserLinker(MetaUserLinkerAsync)`](/important-topics/sdk/api-reference/android/sdkconfig/sdkconfig-builder.md#setmetauserlinker-1).

Learn more about Meta-Users [here](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/broken-reference/README.md).

## MetaUserLinker API

|         |                                                                                                                                                                                                 |
| ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| boolean | [link](/important-topics/sdk/api-reference/android/userlinker.md#link) (String installId, [MetaUserLinkerCallback](/important-topics/sdk/api-reference/android/userlinkercallback.md) callback) |

### `link()`

> ```java
> boolean link(String installId, MetaUserLinkerCallback callback)
> ```
>
> This method will be called when your app needs to handle MetaUser linking, normally during the first ever SDK initialization, but also if MetaUsers are enabled afterwards. This method will be executed on a background thread.

| Parameters |                                                                                                                                                            |
| ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| installId  | A unique Sentiance ID representing the current installation                                                                                                |
| callback   | A [`MetaUserLInkerCallback`](/important-topics/sdk/api-reference/android/userlinkercallback.md) you must invoke to inform the SDK about the linking result |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/metauserlinkerasync.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
